package models

import (
	"code.gitea.io/gitea/modules/timeutil"
)

type TechConvergeBaseInfo struct {
	ID                  int64              `xorm:"pk autoincr"`
	ProjectNumber       string             `xorm:"index"` //项目立项编号
	ProjectName         string             //科技项目名称
	Institution         string             //项目承担单位
	ApplyYear           int                //申报年度
	Province            string             //所属省（省市）
	Category            string             //单位性质
	Recommend           string             //推荐单位
	Owner               string             //项目负责人
	Phone               string             //负责人电话
	Email               string             //负责人邮箱
	Contact             string             //项目联系人
	ContactPhone        string             //联系人电话
	ContactEmail        string             //联系人邮箱
	ExecutePeriod       int                //执行周期
	ExecuteStartYear    int                //执行开始年份
	ExecuteEndYear      int                //执行结束年份
	ExecuteDeadLine     string             //执行期限
	Type                string             //项目类型
	StartUp             timeutil.TimeStamp //启动会时间
	NameAndInstitution1 string
	NameAndInstitution2 string
	NameAndInstitution3 string
	NameAndInstitution4 string
	NameAndInstitution5 string
	AllInstitution      string             `xorm:"TEXT"`
	CreatedUnix         timeutil.TimeStamp `xorm:"INDEX created"`
	UpdatedUnix         timeutil.TimeStamp `xorm:"INDEX updated"`
}

type RepoConvergeInfo struct {
	ID          int64 `xorm:"pk autoincr"`
	RepoID      int64
	Url         string
	BaseInfoID  int64
	Institution string
	UID         int64
	Status      int
	CreatedUnix timeutil.TimeStamp    `xorm:"INDEX created"`
	UpdatedUnix timeutil.TimeStamp    `xorm:"INDEX updated"`
	User        *User                 `xorm:"-"`
	Repo        *Repository           `xorm:"-"`
	BaseInfo    *TechConvergeBaseInfo `xorm:"-"`
}
